The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the GTI Private Cloud Configuration

Prev Next

This URL updates the GTI private cloud configuration present on the Manager.

Resource URL

PUT /gticonfiguration/private

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
enabled GTI private cloud is enabled or not Boolean Yes
server Server IP String Yes

Response Parameters

Following fields are returned:

Field Name Description Data Type
status Set to 1 if the update is successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/gticonfiguration/private

Payload

{
	"enabled":false,"server":null,"certificateStatus":false
} 

Response

{
		"status":1 
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error
2 400 1111 Certificate should be present on the Manager
3 400 1111 Invalid IP address